Bug 30751 - rpm 4.0 core dump
rpm 4.0 core dump
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-03-05 22:34 EST by Kiri Wagstaff
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-06 00:48:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kiri Wagstaff 2001-03-05 22:34:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.17-21mdk i686)

I installed rpm 4.0 from the source rpm.  I then upgraded from glibc 2.1.3
to glibc 2.2.2.  Now I get a core dump from rpm (didn't get this core dump
before upgrading glibc, but I'm not sure what's causing it). 

Reproducible: Always
Steps to Reproduce:
1. Install rpm 4.0.
2. Install glibc 2.2.2. 
3. Try to upgrade or install any .rpm.

Actual Results:  
[root@astra src]# rpm -U tix-8.3.2-7mdk.i586.rpm
rpm: ../iconv/skeleton.c:304: gconv: Assertion `outbufstart == ((void *)0)'
Aborted (core dumped)

Expected Results:  Ideally, a successful upgrade (or a message about
required dependencies).
Comment 1 Kiri Wagstaff 2001-03-05 22:35:47 EST
Note that glibc 2.2.2 does update several entries in /usr/lib/gconv, if that's
what's going on here.
Comment 2 Kiri Wagstaff 2001-03-05 23:12:13 EST
Modification: rpm 4.0 came from the tar.gz, not the source rpm.
Comment 3 Kiri Wagstaff 2001-03-06 00:48:24 EST
Ok, I was able to eliminate the core dump by recompiling and reinstalling rpm
4.0.  I had to add the following two lines to popt.c to get it to compile this

#define FLT_MAX 1e+37
#define FLT_MIN 1e-37

As far as I can tell, one possible clash between rpm 4 and glibc2.2.2 is that
they both write very different versions of /usr/local/include/libintl.h.  There
may be (probably are) others.
Comment 4 Jeff Johnson 2001-03-06 08:57:43 EST
There's an i18n structure incompatibility between glibc-2.1.3 and glibc-2.2.2
that affects statically linked binaries like /bin/rpm. You'll need to recompile
with glibc-2.2.2.

Note You need to log in before you can comment on or make changes to this bug.